Index: documentation/trunk/tutorials/processing/xml-to-index.xsl
===================================================================
--- documentation/trunk/tutorials/processing/xml-to-index.xsl	(revision 14545)
+++ documentation/trunk/tutorials/processing/xml-to-index.xsl	(revision 17494)
@@ -6,6 +6,6 @@
   <xsl:include href="common.xsl"/>
 
-    <!-- set mode to cd/web/wiki depending on where the files will end up -->
-  <xsl:variable name="mode">cd</xsl:variable>
+  <!-- set mode to cd/web/wiki depending on where the files will end up -->
+  <xsl:variable name="mode">wiki</xsl:variable>
 
   <xsl:template match="TutorialList">
@@ -24,4 +24,7 @@
 	  <xsl:apply-templates select="Tutorial[not(@hidden)]"/>
 	</dl>
+	
+	<hr/><div style="text-align:center;"><xsl:apply-templates select="/TutorialList/SupplementaryText/Text[@id='copyright']"/></div>
+	
       </body>
     </html>
Index: documentation/trunk/tutorials/processing/xml-to-many-html.xsl
===================================================================
--- documentation/trunk/tutorials/processing/xml-to-many-html.xsl	(revision 14545)
+++ documentation/trunk/tutorials/processing/xml-to-many-html.xsl	(revision 17494)
@@ -7,5 +7,5 @@
   <xsl:output method="html"/>
   <!-- set mode to cd/web/wiki depending on where the files will end up -->
-  <xsl:variable name="mode">web</xsl:variable>
+  <xsl:variable name="mode">wiki</xsl:variable>
   
   <xsl:template match="Tutorial">
@@ -25,4 +25,7 @@
 	<h2><xsl:apply-templates select="Title/Text"/></h2>
 	<xsl:apply-templates select="Content/*"/>
+	
+	<hr/><div style="text-align:center;"><xsl:apply-templates select="/TutorialList/SupplementaryText/Text[@id='copyright']"/></div>
+	
       </body>
     </html>
Index: documentation/trunk/tutorials/processing/xml-to-one-html.xsl
===================================================================
--- documentation/trunk/tutorials/processing/xml-to-one-html.xsl	(revision 14545)
+++ documentation/trunk/tutorials/processing/xml-to-one-html.xsl	(revision 17494)
@@ -6,5 +6,5 @@
   <xsl:output method="html"/>
   <!-- set mode to cd/web depending on where the files will end up -->
-  <xsl:variable name="mode">web</xsl:variable>
+  <xsl:variable name="mode">wiki</xsl:variable>
 
   <xsl:template match="TutorialList">
@@ -22,4 +22,6 @@
 	</dl>
 	<xsl:apply-templates select="Tutorial[not(@hidden)]"/>
+	
+	<hr/><div style="text-align:center;"><xsl:apply-templates select="SupplementaryText/Text[@id='copyright']"/></div>
       </body>
     </html>
@@ -35,4 +37,5 @@
 
   <xsl:template match="Tutorial">
+    <div style="page-break-before: always;">
     <a name="{@id}"/>
     <h2><xsl:apply-templates select="Title/Text"/></h2>
@@ -42,14 +45,17 @@
       </xsl:call-template>
     </div>
-    <xsl:apply-templates select="Content/*"/>
+    <xsl:apply-templates select="Content/*"/>    
     <br/>
     <br/>
+    </div>
   </xsl:template>
 
   <xsl:template name="supplementary">
     <xsl:param name="mode">web</xsl:param>
+    <!--
     <xsl:call-template name="IndexLink">
       <xsl:with-param name="mode">combined</xsl:with-param>
     </xsl:call-template>
+    -->
     <xsl:apply-templates select="Prerequisite" mode="combined"/>
     <xsl:if test="SampleFiles">
Index: documentation/trunk/tutorials/processing/xml-to-one-workshop.xsl
===================================================================
--- documentation/trunk/tutorials/processing/xml-to-one-workshop.xsl	(revision 14545)
+++ documentation/trunk/tutorials/processing/xml-to-one-workshop.xsl	(revision 17494)
@@ -26,10 +26,15 @@
 	<xsl:apply-templates select="$manifest/Section" mode="index"/>
 	<xsl:apply-templates select="$manifest/Section"/>
+	
+	<div style="text-align:center;"><xsl:apply-templates select="/TutorialList/SupplementaryText/Text[@id='copyright']"/></div>
+	
       </body>
     </html>
-  </xsl:template>
+  </xsl:template>  
+  
   
   <xsl:template match="Section" mode="index">
     <xsl:variable name="secnum" select="@number"/>
+    <div style="page-break-after: always;">    
     <h2><a href="#{@id}"><xsl:value-of select="Heading"/></a></h2>
     <xsl:for-each select="TutorialRef|SplitTutorialRef">
@@ -39,10 +44,16 @@
 	<xsl:if test="self::TutorialRef">
 	  <xsl:apply-templates select="$tutorial/Tutorial[@id=$id]" mode="index">
-	    <xsl:with-param name="number"><xsl:value-of select="$secnum"/>.<xsl:value-of select="$pos"/></xsl:with-param>
+	    <xsl:with-param name="number">
+              <xsl:value-of select="$pos"/>
+              <!--<xsl:value-of select="$secnum"/>.<xsl:value-of select="$pos"/>-->
+            </xsl:with-param>
 	  </xsl:apply-templates>
 	</xsl:if>
 	<xsl:if test="self::SplitTutorialRef">
 	  <xsl:apply-templates select="$tutorial/Tutorial[@id=$id]" mode="splitindex">
-	    <xsl:with-param name="number"><xsl:value-of select="$secnum"/>.<xsl:value-of select="$pos"/></xsl:with-param>
+	    <xsl:with-param name="number">
+              <xsl:value-of select="$pos"/>
+              <!--<xsl:value-of select="$secnum"/>.<xsl:value-of select="$pos"/>-->
+            </xsl:with-param>
 	    <xsl:with-param name="split" select="@split"/>
 	    <xsl:with-param name="type" select="@type"/>
@@ -53,4 +64,5 @@
       </dl>
     </xsl:for-each>
+    </div>
   </xsl:template>
   
@@ -64,10 +76,18 @@
       <xsl:if test="self::TutorialRef">
 	<xsl:apply-templates select="$tutorial/Tutorial[@id=$id]">
-	  <xsl:with-param name="number"><xsl:value-of select="$secnum"/>.<xsl:value-of select="$pos"/></xsl:with-param>
+          <xsl:with-param name="number">
+            <!-- for just one section -->
+            <xsl:value-of select="$pos"/>
+            <!-- for more than one sections -->
+	   <!--<xsl:value-of select="$secnum"/>.<xsl:value-of select="$pos"/>-->
+          </xsl:with-param>
 	</xsl:apply-templates>
       </xsl:if>
       <xsl:if test="self::SplitTutorialRef">
 	<xsl:apply-templates select="$tutorial/Tutorial[@id=$id]" mode="split">
-	  <xsl:with-param name="number"><xsl:value-of select="$secnum"/>.<xsl:value-of select="$pos"/></xsl:with-param>
+	  <xsl:with-param name="number">
+            <xsl:value-of select="$pos"/>
+            <!--<xsl:value-of select="$secnum"/>.<xsl:value-of select="$pos"/>-->
+          </xsl:with-param>
 	  <xsl:with-param name="split" select="@split"/>
 	  <xsl:with-param name="type" select="@type"/>
@@ -81,8 +101,10 @@
   </xsl:template>
   
-  <xsl:template match="Tutorial">
+  <xsl:template match="Tutorial">    
     <xsl:param name="number"/>
+    <div style="page-break-after: always;">
     <h2><xsl:value-of select="$number"/>. <xsl:apply-templates select="Title/Text"/></h2>
     <xsl:apply-templates select="Content/*"/>
+    </div>
   </xsl:template>
 
@@ -104,4 +126,6 @@
     <xsl:param name="beginnotes"/>
     <xsl:param name="endnotes"/>
+    
+    <div style="page-break-after: always;">
     <h2><xsl:value-of select="$number"/>. <xsl:apply-templates select="Title/Text"/><xsl:value-of select="$titleextra"/></h2>
     <xsl:apply-templates select="$beginnotes"/>
@@ -121,4 +145,5 @@
     </xsl:if>
     <xsl:apply-templates select="$endnotes"/>
+    </div>
   </xsl:template>
 
